
def zip_longest(*args, fillvalue=0):
    """
    This function takes any number of iterables and returns an iterator that aggregates elements from each of the iterables.
    It returns elements as tuples containing one element from each of the iterables.
    If the iterables are of uneven length, missing values are filled-in with `fillvalue`.
    """
    args = [iter(arg) for arg in args]
    while True:
        yield tuple(next(arg, fillvalue) for arg in args)



